### Method

# GtkSource FileSaver set_encoding

#### Declaration [src]

    void
    gtk_source_file_saver_set_encoding (
      GtkSourceFileSaver* saver,
      const GtkSourceEncoding* encoding
    )

#### Description [src]

Sets the encoding. If `encoding` is `NULL`, the UTF-8 encoding will be set.

By default the encoding is taken from the `GtkSourceFile`.

Sets property | `GtkSource.FileSaver:encoding`

#### Parameters

`encoding`

  Type: `GtkSourceEncoding`

  The new encoding, or `NULL` for UTF-8.

  The argument can be `NULL`.
  The data is owned by the caller of the method.